Name:           purple-plugin_pack
Version:        2.4.0
Release:        1%{?dist}
Summary:        A set of plugins for libpurple, pidgin, and finch

Group:          Applications/Internet
License:        GPLv2+
URL:            http://plugins.guifications.org/trac/wiki/PluginPack
Source0:        http://downloads.guifications.org/plugins/Plugin%20Pack/purple-plugin_pack-%{version}.tar.bz2
Patch0:         purple-plugin_pack-2.4.0-switchspell-execstack.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pidgin-devel xmms-devel perl(XML::Parser) gettext-devel
BuildRequires:  enchant-devel gtkspell-devel
BuildRequires:  diffutils intltool
#Requires:       
Provides:       purple-plugin-pack

%description
This package contains a number of plugins for use with the purple IM/IRC
library:

- Auto Reply
- Bash.org
- DeWYSIWYGification
- Dice
- Flip
- Highlight
- Ignore
- IRC Helper
- IRC More
- List Handler
- Magic 8 Ball
- Old Logger
- Show Offline
- Sim Fix
- Simple Network Paging Protocol (SNPP)
- Slash Exec
- SSL Info

%package pidgin
Summary:        A set of plugins for pidgin
Group:          Applications/Internet
Requires:       %{name} = %{version}
Provides:       purple-plugin-pack-pidgin

%description pidgin
This package contains a number of plugins for use with the pidgin client:

- Album
- Buddy List Options
- Conversation Badger
- DiffTopic
- gRIM
- Irssi Features
- Last Seen
- My Status Box
- Nick Said
- Schedule
- Plonkers
- Separate and Tab
- Switch Spell
- Timelog
- XChat-Chats

%package pidgin-xmms
Summary:        A plugin for pidgin to control xmms
Group:          Applications/Internet
Requires:       %{name} = %{version}
Provides:       purple-plugin-pack-pidgin-xmms

%description pidgin-xmms
This package contains a plugin for pidgin to control xmms.

%prep
%setup -q
%patch0 -p 1 -b .execstack

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
%find_lang plugin_pack

%clean
rm -rf $RPM_BUILD_ROOT

%files -f plugin_pack.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/purple-2/*.so

%files pidgin
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%dir %{_datadir}/pixmaps/pidgin/plugin_pack
%{_datadir}/pixmaps/pidgin/protocols
%{_libdir}/pidgin/[^x]*.so
%{_libdir}/pidgin/xchat-chats.so

%files pidgin-xmms
%defattr(-,root,root,-)
%{_datadir}/pixmaps/pidgin/plugin_pack/xmmsremote
%{_libdir}/pidgin/xmmsremote.so

%changelog
* Tue Oct  7 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.4.0-1
- Upstream update
- Extract inner function in switchspell (#462822)

* Thu Nov 15 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.2.0-2
- Added provides to other subpackages

* Wed Nov 14 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.2.0-1
- Update to 2.2.0
- Add provides of purple-plugin-pack

* Thu Oct  4 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 2.1.1-1
- Initial RPM release
